Subject: Re: Weird 5200/mtd-ram problem

From: Wolfram Sang <[email-masked]>
Date: Mon, 25 May 2009 23:47:18 +0200

> A word or long copy of 0x0055aaff with U-Boot works fine, but a byte  
> copy filled the whole ram with 0x0000aaaa.  The reason is apparently  
> that the chip is attached to the local bus in 16-bit mode, which is  
> incompatible with byte accesses.  However, the Local Bus doesn't provide 
> "low byte" or "high byte" indicators in non-muxed mode.  How is this 
> supposed to work then?

Hmm, as I feared... we were bitten by this, too:

http://thread.gmane.org/gmane.linux.drivers.mtd/21521

There is no generic solution yet :(

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |